%define 	name	pam_pkcs11
%define 	version	0.5.3
%define 	release	1
%define 	prefix	/usr

Summary: 	OpenSC PKCS #11 PAM Login Tools
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Vendor: 	StartCom Ltd., http://www.startcom.org
Packager: 	Eddy Nigg <eddy_nigg@startcom.org>
Group:		Applications/System
Url:		http://www.opensc-project.org/pam_pkcs11/
Source:		http://www.opensc-project.org/files/pam_pkcs11/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}
BuildRequires:  pcsc-lite >= 1.2.9
BuildRequires:  opensc-devel >= 0.11.0
BuildRequires:  openssl-devel >= 0.9.7a
BuildRequires:  pam-devel
Requires:	pcsc-lite >= 1.2.9
Requires:	opensc >= 0.11.0
Requires:	openssl >= 0.9.7a
Provides: 	%{name} = %{version}

%description
This Linux-PAM login module allows a X.509 certificate based user login. 
The certificate and its dedicated private key are thereby accessed by 
means of an appropriate PKCS #11 module. For the verification of the users' 
certificates, locally stored CA certificates as well as either online or 
locally accessible CRLs are used.


%prep
%setup -q


%build
%configure -q \
	--disable-dependency-tracking \
	--disable-rpath 


make %{?_smp_mflags}


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

install -dm 755 $RPM_BUILD_ROOT/etc/%{name}/cacerts
install -dm 755 $RPM_BUILD_ROOT/etc/%{name}/crls
install -m 644 etc/%{name}.conf.example $RPM_BUILD_ROOT/etc/%{name}/%{name}.conf
install -m 644 etc/card_eventmgr.conf.example $RPM_BUILD_ROOT/etc/%{name}/card_eventmgr.conf
install -m 644 etc/pkcs11_eventmgr.conf.example $RPM_BUILD_ROOT/etc/%{name}/pkcs11_eventmgr.conf
install -m 644 etc/subject_mapping.example $RPM_BUILD_ROOT/etc/%{name}/subject_mapping
install -dm 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 etc/pam.d_login.example $RPM_BUILD_ROOT/etc/pam.d/%{name}

%makeinstall
rm -f $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/Makefile*

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%post
ln -s /usr/lib/security/pam_pkcs11.so /lib/security/pam_pkcs11.so

%postun
rm -f /lib64/security/pam_pkcs11.so

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/*
%{_libdir}/ldap*
%{_libdir}/opensc*
%{_libdir}/security/*
%{_libdir}/openssh*
%{_mandir}/man1/*.1*
%config(noreplace) %{_sysconfdir}/*
%doc doc/* COPYING README


%changelog
* Tue Mar 21 2006 Eddy Nigg <eddy_nigg@startcom.org>
- rebuild and update for StartCom Linux 5.0.x

* Sat Mar 18 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Initial build
